Vai al contenuto
ShopentlyLearn

Promozioni · Stato

Attiva o disattiva promozioni.

PATCH/api/v1/discounts/promotions/{identity}/status

Richiesta cURL

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request PATCH \
  --url https://shop.onshopently.com/api/v1/discounts/promotions/example-campaign/status \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: learn-campaign_status_api_v1_discounts_promotions__identity__status_patch' \
  --header 'Content-Type: application/json' \
  --data-raw '{"enabled":false,"expected_version":1}'

Risposta

{
  "data": {
    "deleted": false,
    "id": "example-campaign",
    "version": null
  },
  "meta": {
    "locale": "example",
    "market_code": "example",
    "market_id": "poland",
    "pagination": {
      "has_more": false,
      "limit": 1,
      "next_cursor": null
    },
    "request_id": "learn-example-request"
  }
}

Permessi necessari

Autenticazione
Token di accesso
Disponibile dal piano
STANDARD
Permesso della chiave
Attiva o disattiva promozionidiscounts.promotions:change_status